Retrieves available filters for creating user-defined auto meter groups
Use this endpoint to get the list of filter fields and operators that can be used to define
automatic group membership rules (e.g., filter by commodity, place type, UDF value).
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
FilterResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| availableOperator | The list of available operators Required (defined) | string[] | ||||||||||||
| caption | The caption of the filter Required (defined) | string | ||||||||||||
| dataFieldId | The datafield identifier Required (defined) | integer (int32) | ||||||||||||
| dataType | DataTypeResponse | |||||||||||||
|
DataTypeResponse properties
|
||||||||||||||
| fieldId | The field identifier Required (defined) | integer (int32) | ||||||||||||
| hidden | Indicates if the filter is hidden Required (defined) | boolean | ||||||||||||
| operator | The operator Required (defined) | string | ||||||||||||
| queryParameterName | The Query parameter name Required (defined) | string | ||||||||||||
| recommended | Indicates if the filter is recommended Required (defined) | boolean | ||||||||||||
| required | Indicates if the filter is required | boolean | ||||||||||||
| value | The value of the filter Required (defined) | string | ||||||||||||
Example Response
[
{ "availableOperator": [
"string"
], "caption": "string", "dataFieldId": 1, "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
]